Bio::Seq::LargePrimarySeq(3)

NAME
Bio::Seq::LargePrimarySeq - PrimarySeq object that stores sequence as files in the tempdir (as found by File::Temp) or the default method in Bio::Root::RootI

SYNOPSIS
  # normal primary seq usage

DESCRIPTION
This object stores a sequence as a series of files in a temporary directory. The aim is to allow someone the ability to store very large sequences (eg, > 100MBases) in a file system without running out of memory (eg, on a 64 MB real memory machine!).

Of course, to actually make use of this functionality, the programs which use this object must not call $primary_seq->seq otherwise the entire sequence will come out into memory and probably paste your machine. However, calls $primary_seq->subseq(10,100) will cause only 90 characters to be brought into real memory.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably
 to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org               - General discussion
  http://bio.perl.org/MailList.html   - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bio.perl.org
  http://bio.perl.org/bioperl-bugs/

AUTHOR - Ewan Birney, Jason Stajich
Email birney@ebi.ac.uk Email jason@chg.mc.duke.edu

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  seq
 Title   : seq
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  subseq
 Title   : subseq
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  add_sequence_as_string
 Title   : add_sequence_as_string
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  _filename
 Title   : _filename
 Usage   : $obj->_filename($newval)
 Function:
 Example :
 Returns : value of _filename
 Args    : newvalue (optional)